Get tasks in columnGET
Description
Returns all tasks in a column that is found either by ID, name or index.
When there are more tasks to fetch in the column, the response will have tasksLimited=true and a nextTaskId, which points at the next task in line. Pass it in the next request as startTaskId to retrieve the succeeding tasks.
See Get task for details of included properties for the individual tasks.
Permissions
Request format
curl https://kanbanflow.com/api/v1/tasks?<PARAM_1>=<PARAM_VALUE_1>&<PARAM_2>=<PARAM_VALUE_2>&...<PARAM_N>=<PARAM_VALUE_N>
Please note that you should URL encode the parameter, especially if it contains spaces.
Example request (ID)
curl https://kanbanflow.com/api/v1/tasks?columnId=CBO1VNGqDc4K
Example request (name)
curl "https://kanbanflow.com/api/v1/tasks?columnName=In%20progress"
Example request (index)
curl https://kanbanflow.com/api/v1/tasks?columnIndex=2
Example request (startTaskId, limit, order)
curl https://kanbanflow.com/api/v1/tasks?columnId=CBO1VNGqDc4K&startTaskId=T3s6UGyzY&limit=50&order=desc
Example request (startGroupingDate, limit, order)
curl https://kanbanflow.com/api/v1/tasks?columnId=CBO1VNGqDc4K&startGroupingDate=2023-10-01&limit=50&order=asc
Example response
[
{
"columnId": "CBO1VNGqDc4K",
"columnName": "In progress",
"tasksLimited": false,
"tasks": [
{
"_id": "T3s6UGyzY",
"name": "Write report",
"description": "",
"color": "red",
"columnId": "CBO1VNGqDc4K",
"createdTimestamp": "2023-12-31T20:00:00.000Z"
}
]
}
]Valid parameters
| Parameter | Type | Comment |
|---|---|---|
| columnId | String | The ID of the column. One of columnId, columnIndex or columnName is required. See Get board for information about how to get a column's ID. |
| columnIndex | Integer | The position of the column. One of columnId, columnIndex or columnName is required. 0 is first column, 1 the second column, etc. |
| columnName | String | The name of the column. One of columnId, columnIndex or columnName is required. |
| startTaskId | String | Can only be used if column is date grouped. Task ID to start from in date grouped columns. Cannot be combined with startGroupingDate. |
| startGroupingDate | String | The grouping date to start from. Can only be used if column is date grouped. Valid format is YYYY-MM-DD, e.g. 2023-12-31. Cannot be combined with startTaskId. |
| limit | Integer | Can only be used if column is date grouped. The maximum number of tasks to retrieve. The highest value that can be used is 100. Default: 20. |
| order | String | Can only be used if column is date grouped. Determines in what order tasks should be searched for. Can be either asc (ascending) or desc (descending). Default: desc. Example: If using startGroupingDate=2023-12-31 and order=desc, it will get tasks for 2023-12-31 and earlier dates. |